version: "3.3"
services:
  nginx-rhel7:
    container_name: nginx
    restart: on-failure:5
    image: registry.redhat.io/rhscl/nginx-116-rhel7:1-64.1638430384
    entrypoint: ["nginx", "-g", "daemon off;"]
    extra_hosts:
      - "opc_server:172.17.0.1"
    ports:
      - "8000:8000"
    volumes:
      - ./appsentinels-modules.conf:/opt/rh/rh-nginx116/root/usr/share/nginx/modules/appsentinels-modules.conf
      - ./nginx_ext_access_log_module.so:/modules/nginx_ext_access_log_module.so
      - ./nginx_ext_auth_module.so:/modules/nginx_ext_auth_module.so
      - ./sample-server.conf:/opt/app-root/etc/nginx.d/sample-server.conf
